
Foreman - Bug #9108

It's not possible to overwrite a default value of a parameter inherited from parent host group in

nested host group

01/26/2015 07:18 AM - Filip Brychta

Status: Closed   
Assignee: Tom Caspy   

Category: Host groups   

Target version: 1.9.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.7.1

Bugzilla link: 1295179 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2128

  

Description

1 - create a new host group named 'parent' with global parameter named 'parameter1' with value 'parentValue'

2 - create a new host group named 'child' and set Parent to host group created in step 1. and change value of 'parameter1' to

'changed'

Result:

Value of 'parameter1' in 'child' host group is still 'parentValue'

Value of 'parameter1' in 'child' host group is editable but no change is applied.

Associated revisions

Revision 221fd050 - 09/08/2015 08:19 AM - Tom Caspy

fixes #9108 - parent parameters are now overrideable

Revision 2cc2147b - 09/09/2015 11:13 AM - Tom Caspy

fixes #9108 - parent parameters are now overrideable

(cherry picked from commit 221fd0504d1efc0b056fd93e0824b6fbc2b453e8)

History

#1 - 02/01/2015 07:47 AM - Tom Caspy

this is indeed a bug.

Current workaround - the value can be overridden by adding a new global parameter with the same name, and overriding the value there.

#2 - 02/02/2015 02:16 AM - Filip Brychta

Tom Caspy wrote:

this is indeed a bug.

Current workaround - the value can be overridden by adding a new global parameter with the same name, and overriding the value there.

 Note that this workaround (duplicate parameters in the hostgroup) will lead to #8366

#3 - 02/03/2015 10:09 AM - Tom Caspy

checked... didn't break anything... apparently the bug is that the shown parameter isn't actually something which exists in the DB, I'll investigate

further as to why this happens.

Filip Brychta wrote:

Tom Caspy wrote:

this is indeed a bug.

Current workaround - the value can be overridden by adding a new global parameter with the same name, and overriding the value there.
 Note that this workaround (duplicate parameters in the hostgroup) will lead to #8366

#4 - 02/04/2015 04:49 AM - Tom Caspy

- Assignee set to Tom Caspy

#5 - 02/04/2015 04:56 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2128 added

- Pull request deleted ()

#6 - 09/08/2015 09:01 AM - Tom Caspy

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 221fd0504d1efc0b056fd93e0824b6fbc2b453e8.

#7 - 09/09/2015 03:19 AM - Dominic Cleal

- Category set to Host groups

- translation missing: en.field_release set to 72

#8 - 01/03/2016 04:43 AM - Ori Rabin

- Bugzilla link set to 1295179
